Gentoo Wiki ArchivesGentoo Wiki

Atheros_5xxx

Contents

Introduction

The Atheros 5xxx is a wireless chipset usually found in laptops. There are three ways of getting your wireless card working:

Driver Support

Please add your devices below. The subsystem id and numeric pci id can be found using lspci -vnn.

PCI ID Subsystem PCI ID Device name Madwifi ath5k ndiswrapper (64bit)
168c:001c 168c:1026 AR242x 802.11abg Wireless PCI Express Adapter (rev 01) madwifi-hal yes (2.6.27) Not tested
168c:0013 168c:2051 AR5212 802.11abg NIC yes yes Not tested
168c:001a 1113:ee24 Atheros Communications, Inc. AR5005G 802.11abg NIC (rev 01) yes yes (2.6.26-gentoo-r1) Not tested
168c:001c 168c:3067 AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01) 0.9.3.3 patched yes (2.6.27) Works with xp64 5.3.0.56
168c:1014 1014:058a IBM ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6) Not tested yes (2.6.26-gentoo) Not tested

Kernel Options (All installs)

If you intend to use the ath5k driver (Atheros 5xxx wireless cards support), you should configure your Kernel with the following options:

Linux Kernel Configuration: Required Kernel Options (2.6.25)
Networking  --->
     Wireless  --->
           <*> Generic IEEE 802.11 Networking Stack (mac80211)
Device Drivers  --->
     [*] Network device support  --->
           Wireless LAN  --->
               [*] Wireless LAN (IEEE 802.11)
                        < >   Atheros 5xxx wireless cards support

ath5k kernel driver

The ath5k kernel module (shown unselected in the kernel configuration above) supports many Atheros chipsets. It is currently under heavy development, written by the MadWifi developers and is intended to replace MadWifi.

MadWifi

The Madwifi drivers provide support for a wide range of Atheros devices, including some of the 5xxx range. Certain others can be supported with an updated development version as detailed below.

For general installation instructions and troubleshooting, see the MadWifi article.

MadWifi Hal (Formerly AR242x Patch)

Some Atheros devices currently require an updated version of madwifi to make them work. This version is the madwifi-hal branch. See also MadWifi ticket #1192.

You can download this ebuild from AllenJB's Overlay (as net-wireless/madwifi-hal). To resolve the dependency on madwifi-ng-tools by wpa_supplicant, add "net-wireless/madwifi-ng-tools-9999" to /etc/portage/profile/package.provided (create the file and directories if they do not already exist).

Note: When emerging this package, you will be asked to accept the SSL certificate for MadWifi's source repository. To continue and not be asked again, press 'p' (accept permanently).

Please note that as this package uses the most recent development code, it cannot always be guaranteed to work. If it does not work, please try the snapshot package below.

ndiswrapper

If the Windows drivers from the card manufacturer don't work with ndiswrapper, try searching the ndiswrapper wiki (Hint: Try searching for the PCI ID).

Links

Retrieved from "http://www.gentoo-wiki.info/Atheros_5xxx"

Last modified: Mon, 22 Sep 2008 02:31:00 +1000 Hits: 20,884

Created by NickStallman.net, Luxury Homes Australia
Real estate agents should list their apartments, townhouses and units in Australia.